---

- name: Upgrade packages with pip
  pip:
    name: "{{ item.name }}"
    state: latest
    virtualenv: "{{ virtualenv | default(omit) }}"
    extra_args: "{{pip_extra_args | default(omit) }}"
  with_items: "{{ pip_upgrade_packages }}"
